from sqlalchemy import Column, Integer, String, DateTime, ForeignKey
from sqlalchemy.sql import func
from app import db

class Equipment(db.Model):
    __tablename__ = "equipment"
    
    equipment_id = Column(Integer, primary_key=True)
    equipment_name = Column(String, nullable=True)
    serial_number = Column(String, unique=True, nullable=False)
    status = Column(String, nullable=True, default="active")
    site_id = Column(Integer, ForeignKey('sites.site_id'))
    device_id = Column(Integer, nullable=True)
    description = Column(String, nullable=True)
    created_at = Column(DateTime(timezone=True), default=func.now())
    updated_at = Column(DateTime(timezone=True), default=func.now()) 